com.sun.source.tree

## Interface TryTree

All Superinterfaces:
  StatementTree, Tree

    @Exported
    public interface TryTree
    extends StatementTree

A tree node for a 'try' statement. For example:

       try
           block
       catches
       finally
           finallyBlock

Since:
  1.6
See The Java™ Language Specification:
  section 14.20

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`BlockTree` `getBlock()`
`List<? extends CatchTree>` `getCatches()`
`BlockTree` `getFinallyBlock()`
`List<? extends Tree>` `getResources()`

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getBlock

    BlockTree getBlock()

#### getCatches

    List<? extends CatchTree> getCatches()

#### getFinallyBlock

    BlockTree getFinallyBlock()

#### getResources

    List<? extends Tree> getResources()